<template>
  <section>
    <h2 class="title">
      {{$t('page.index.title')}}
    </h2>
    <p class="subtitle">
      Protected Area
    </p>
    <el-button @click="logout">{{$t('buttons.logout')}}</el-button>
  </section>
</template>

<script>

export default {
  layout: 'center',
  methods: {
    logout() {
      this.$store.dispatch('auth/logout')
      this.$message.success(this.$t('alerts.logoutSuccess'))
    }
  },
  head () {
    return {
      title: this.$t('page.index.title'),
    }
  }
}
</script>

<style lang="scss" scope>
@import '~assets/css/main';

.title {
  font-weight: 300;
  font-size: 100px;
  color: $text-color;
  letter-spacing: 1px;
  margin: 10px;
}

.subtitle {
  color: $success;
  margin: 20px;
}
</style>
